Subject: Re: Italeri Hellcat
From: "Steve Bamford ARC" <[email-masked]>
To: "Benny Attar" <[email-masked]>
Date: Wed, 21 Jul 2004 20:16:15 -0700

Hi Benny,
I just wanted to let you know your article went on ARC today.  Thanks for sending it in.   

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: Benny Attar 
  To: Steve Bamford 
  Sent: Saturday, June 26, 2004 2:13 PM
  Subject: Italeri Hellcat

  A few months ago I suffered an eye injury (detached retina) that kept me away from my workbench for a couple of months. This model is the first one I built after recovering, before I regained full vision in my left eye (I still only have 85-90% vision). 
  Italeri's 1/72 scale Grumman F6F Hellcat is full of detail and very well moulded with virtually no flash or sinkholes.  It falls together when you shake the box.  I have built the Airfix and Academy Hellcats and this one is the best of the three. The only major problem was with the engine, which had the valve pushrods moulded on the back instead of the front , but a little work with a sharp knife and some glue soon put that right, by cutting off the crankcase attachment ring and gluing it on the other side.
  I added seatbelts and a couple of levers and bumps to the cockpit, replaced the exhausts with pieces of thin (26 awg) wire insulation, opened out the engine cooling flaps and add brake hoses to the undercarriage with thin sprue.  The model was brush painted with Humbrol enamels and coated with the local brand of floor polish to protect the decals and even out the paint finish.  The canopy was positioned open because it doesn't sit properly closed , no problem as it comes in separate parts - as do the wing flaps , you can have them up or down - I  chose down.
  Italeri's kits are , by today's standards, dirt cheap and excellent value for money.
  Benny Attar
  Israel.